<template>
  <div>
    <div class="user">
      <div class="content">
        <div class="userImg">
          <i class="el-icon-s-custom"></i>
        </div>
        <span class="name">{{ userInfo.userName }}</span>
      </div>
    </div>
    <div class="title">投 诉 管 理 系 统</div>
    <div class="list">
      <el-row>
        <el-col
          :span="6"
          v-for="(item, index) in userInfo.list"
          :key="index"
          class="content pointer"
        >
          <div class="img" @click="jump(item)">
            <!-- <i class="el-icon-s-tools"></i> -->
            <img :src="item.webIcon" alt="" style="width:30px;height:30px">
          </div>
          <span class="name" @click="jump(item)">{{ item.name }}</span>
        </el-col>
      </el-row>
    </div>
  </div>
</template>
  
  <script>
import { getVerification } from "../../common/js/home";
export default {
  name: "orderSearch",
  components: {},
  data() {
    return {
      userInfo: {},
    };
  },
  computed: {},
  watch: {},
  created() {
    this.init();
  },
  methods: {
    init() {
      let params = {
        token: sessionStorage.getItem('Authorization-Token'),
        system: "web",
        fromSystem: sessionStorage.getItem('Authorization-fromSystem'),
      };
      getVerification(params).then((res) => {
        this.userInfo = res.data
        sessionStorage.setItem('userNameData', this.userInfo.userName)
      });
    },
    jump(val) {
      console.log('val----: ', val);
      let routeUrl = this.$router.resolve({
        // path: "/permissions/role",
        path:val.url,
        // query: {
        //   token: sessionStorage.getItem("Authorization-Token"),
        //   fromSystem: sessionStorage.getItem("Authorization-fromSystem"),
        // },
      });
      window.open(routeUrl.href, "_blank");
    },
  },
};
</script>
  
<style lang="less" scoped>
@import "../../common/less/public.less";
.user {
  width: 100%;
  height: 50px;
  line-height: 50px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.12), 0 0 6px rgba(0, 0, 0, 0.04);
  .content {
    float: right;
    margin-right: 30px;
    .userImg {
      font-size: 25px;
      float: left;
    }
    .name {
      margin-left: 5px;
      float: left;
    }
  }
}
.title {
  width: 100%;
  height: 50px;
  text-align: center;
  font-size: 30px;
  line-height: 50px;
  margin-top: 30px;
  margin-bottom: 20px;
}
.list {
  width: 1000px;
  margin: 0 auto;
  .content {
    height: 80px;
    line-height: 80px;
    .img {
      font-size: 30px;
      float: left;
      line-height: 80px;
    }
    .name {
      float: left;
      margin-left: 10px;
    }
  }
}
</style>
  